DefaultConvertersConfiguration (Grails 4.0.11)
Date: 2021-06-24

Package: org.grails.databinding.converters

## [Java] Class DefaultConvertersConfiguration

- org.grails.databinding.converters.DefaultConvertersConfiguration

- Default converters configuration.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultConvertersConfiguration (GrailsApplication grailsApplication, DataBindingConfigurationProperties configurationProperties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected CurrencyValueConverter` | `defaultCurrencyConverter()` @return The default currency converter
    `` | `protected DateConversionHelper` | `defaultDateConverter()`
    `` | `protected ValueConverter` | `defaultGrailsBigDecimalConverter()`
    `` | `protected ValueConverter` | `defaultGrailsBigIntegerConverter()`
    `` | `protected TimeZoneConverter` | `defaultTimeZoneConverter()`
    `` | `protected UUIDConverter` | `defaultuuidConverter()`
    `` | `protected LocaleAwareNumberConverter` | `doubleConverter()`
    `` | `protected LocaleAwareNumberConverter` | `floatConverter()`
    `` | `protected LocaleAwareNumberConverter` | `integerConverter()`
    `` | `protected LocaleAwareNumberConverter` | `longConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveDoubleConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveFloattConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveIntConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveLongConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveShortConverter()`
    `` | `protected LocaleAwareNumberConverter` | `shortConverter()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DefaultConvertersConfiguration(GrailsApplication grailsApplication, DataBindingConfigurationProperties configurationProperties)

  - ### Method Detail

    - #### @org.springframework.context.annotation.Bean("defaultCurrencyConverter") protected CurrencyValueConverter defaultCurrencyConverter()

      Returns:
        The default currency converter

    - #### @org.springframework.context.annotation.Bean("defaultDateConverter") protected DateConversionHelper defaultDateConverter()

    - #### @org.springframework.context.annotation.Bean("defaultGrailsBigDecimalConverter") protected ValueConverter defaultGrailsBigDecimalConverter()

    - #### @org.springframework.context.annotation.Bean("defaultGrailsBigIntegerConverter") protected ValueConverter defaultGrailsBigIntegerConverter()

    - #### @org.springframework.context.annotation.Bean("timeZoneConverter") protected TimeZoneConverter defaultTimeZoneConverter()

    - #### @org.springframework.context.annotation.Bean("defaultUUIDConverter") protected UUIDConverter defaultuuidConverter()

    - #### @org.springframework.context.annotation.Bean("defaultDoubleConverter") protected LocaleAwareNumberConverter doubleConverter()

    - #### @org.springframework.context.annotation.Bean("defaultFloatConverter") protected LocaleAwareNumberConverter floatConverter()

    - #### @org.springframework.context.annotation.Bean("defaultIntegerConverter") protected LocaleAwareNumberConverter integerConverter()

    - #### @org.springframework.context.annotation.Bean("defaultLongConverter") protected LocaleAwareNumberConverter longConverter()

    - #### @org.springframework.context.annotation.Bean("defaultdoubleConverter") protected LocaleAwareNumberConverter primitiveDoubleConverter()

    - #### @org.springframework.context.annotation.Bean("defaultfloatConverter") protected LocaleAwareNumberConverter primitiveFloattConverter()

    - #### @org.springframework.context.annotation.Bean("defaultintConverter") protected LocaleAwareNumberConverter primitiveIntConverter()

    - #### @org.springframework.context.annotation.Bean("defaultlongConverter") protected LocaleAwareNumberConverter primitiveLongConverter()

    - #### @org.springframework.context.annotation.Bean("defaultshortConverter") protected LocaleAwareNumberConverter primitiveShortConverter()

    - #### @org.springframework.context.annotation.Bean("defaultShortConverter") protected LocaleAwareNumberConverter shortConverter()